#include<iostream>
using namespace std;
int a[1000];
int main()
{
  int n,d,k,br=0,total=0,br2=0;
  cin>>n>>d>>k;
  for(int i=0;i<n;i++)
  {
      a[i]=i+1;
      br++;
  }
  int b[br];
  for(int i=0;i<br;i++)
  {
      b[i]=a[i];
  }
  total+=b[0];
  while(k>0)
  {
     if(b[br+d]>=5)
     {
         br=0;
     }
     total+=b[br+d]; 
  }
  cout<total<<endl;
}
